Subject: RE: cpu power "management" for non-dfs chips with no pmu (for instance, 750cxe and mpc7447 in pegasos)

From: "Matt Sealey" <[email-masked]>
Date: Fri, 23 Jun 2006 08:58:56 -0500

I have nothing real to contribute other than I would like to see it :)

Before I asked I checked Google (as is expected of anyone these days)
and found some discussions on debian-powerpc from 2002 but nobody
really did anything and nothing really came of it. I know 4 years later
all we have is powernowd which pokes up cpufreq which only supports
DFS and certain kinds of Mac PMU. 

ICTC is such a simple thing to support and you can slow down the CPU
pretty comprehensively (from halving to 255x in theory) with an on and
off flag. I am surprised nobody implemented a cpufreq governer even if
it is totally useless and gives no perceivable benefits..

-- 
Matt Sealey <[email-masked]>
Manager, Genesi, Developer Relations

> -----Original Message-----
> From: Jon Loeliger [mailto:[email-masked]] 
> Sent: Friday, June 23, 2006 8:34 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: cpu power "management" for non-dfs chips with no 
> pmu (for instance, 750cxe and mpc7447 in pegasos) 
> 
> So, like, the other day "Matt Sealey" mumbled:
> > 
> > I am basically trying to evaluate if we can do ANYTHING to reduce 
> > power consumption of systems which are idle, as I have noticed that 
> > ...
> > 
> > Comments? :)
> 
> Hi Matt,
> 
> There is an effort afoot to revitalize some of the Linux 
> Power Management issues, erm, currently going on over on the 
> linux-pm list these days.  No immediate results (yet), but 
> there is some concerted effort.  It should include some 
> PowerPC presence.
> 
> Please feel free to contribute, of course. :-)
> 
> jdl
>